"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Readme = require("./README/CodeWithCopy.md");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('Core/CodeWithCopy', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addDecorator(with_readme_1.default(Readme))
    .add('Standard', function () {
    return (React.createElement(_1.CodeWithCopy, { text: '22ab7io', copy: 'This value has been copied to your clipboard!' }));
})
    .add('Inside clickable element', function () {
    return (React.createElement(_1.Link, { href: '#foobar', style: { display: 'block' } },
        React.createElement(_1.Flex, null,
            React.createElement(_1.Box, { mr: 5 }, "Link Text"),
            React.createElement(_1.Box, null,
                React.createElement(_1.CodeWithCopy, { color: '#333', text: '22ab7io', copy: 'This value has been copied to your clipboard!' })))));
});
var templateObject_1;
