"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Readme = require("./README/Flex.md");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('Core/Flex', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addDecorator(with_readme_1.default(Readme))
    .add('Standard', function () {
    return (React.createElement(_1.Flex, null,
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })));
})
    .add('Justify', function () {
    return (React.createElement(_1.Flex, { justify: 'space-between' },
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })));
})
    .add('Flex direction', function () {
    return (React.createElement(_1.Flex, { flexDirection: 'column' },
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })));
})
    .add('Flex wrap', function () {
    return (React.createElement(_1.Flex, { wrap: true },
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })));
})
    .add('Flex property on children', function () {
    return (React.createElement(_1.Flex, null,
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, flex: '1', bg: 'red' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
        React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })));
});
var templateObject_1;
