"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Readme = require("./README/Pill.md");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('Core/Pill', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .add('Standard', function () {
    return (React.createElement(React.Fragment, null,
        React.createElement(_1.Box, { mb: 2 },
            React.createElement(_1.Pill, { mr: 2, primary: true }, "Primary"),
            React.createElement(_1.Pill, { mr: 2, secondary: true }, "Secondary"),
            React.createElement(_1.Pill, { mr: 2, tertiary: true }, "Tertiary"),
            React.createElement(_1.Pill, { mr: 2, quarternary: true }, "Quarternary"),
            React.createElement(_1.Pill, { mr: 2 }, "Default")),
        React.createElement(_1.Box, null,
            React.createElement(_1.Pill, { mr: 2, danger: true }, "Danger"),
            React.createElement(_1.Pill, { mr: 2, warning: true }, "Warning"),
            React.createElement(_1.Pill, { mr: 2, success: true }, "Success"),
            React.createElement(_1.Pill, { mr: 2, info: true }, "Info"),
            React.createElement(_1.Pill, { bg: 'purple', color: 'yellow' }, "Custom"))));
})
    .add('Small', function () {
    return (React.createElement(React.Fragment, null,
        React.createElement(_1.Box, { mb: 2 },
            React.createElement(_1.Pill, { small: true, mr: 2, primary: true }, "Primary"),
            React.createElement(_1.Pill, { small: true, mr: 2, secondary: true }, "Secondary"),
            React.createElement(_1.Pill, { small: true, mr: 2, tertiary: true }, "Tertiary"),
            React.createElement(_1.Pill, { small: true, mr: 2, quarternary: true }, "Quarternary"),
            React.createElement(_1.Pill, { small: true, mr: 2 }, "Default")),
        React.createElement(_1.Box, null,
            React.createElement(_1.Pill, { small: true, mr: 2, danger: true }, "Danger"),
            React.createElement(_1.Pill, { small: true, mr: 2, warning: true }, "Warning"),
            React.createElement(_1.Pill, { small: true, mr: 2, success: true }, "Success"),
            React.createElement(_1.Pill, { small: true, mr: 2, info: true }, "Info"),
            React.createElement(_1.Pill, { small: true, bg: 'purple', color: 'yellow' }, "Custom"))));
});
var templateObject_1;
