"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../../");
var Mermaid_1 = require("../../extra/Mermaid");
var Readme = require("../README/Mermaid.md");
var source = "\ngraph TD;\n    A-->B;\n    A-->C;\n    B-->D;\n    C-->D;\n";
react_1.storiesOf('Extra/Mermaid', module)
    .addDecorator(function (story) { return React.createElement(_1.Box, { p: 3 }, story()); })
    .addDecorator(with_readme_1.default(Readme))
    .add('Standard', function () {
    return (React.createElement(React.Fragment, null,
        React.createElement(Mermaid_1.Mermaid, { value: source })));
});
