"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Readme = require("./README/Badge.md");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('Core/Badge', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .add('Standard', function () {
    return (React.createElement(React.Fragment, null,
        React.createElement(_1.Badge, { text: 'badge1', mr: 2 }),
        React.createElement(_1.Badge, { text: 'badge2', mr: 2 }),
        React.createElement(_1.Badge, { text: 'badge3' })));
})
    .add('Controlled', function () {
    return (React.createElement(React.Fragment, null,
        React.createElement(_1.Badge, { primary: true, text: 'Primary', mr: 2 }),
        React.createElement(_1.Badge, { secondary: true, text: 'Secondary', mr: 2 }),
        React.createElement(_1.Badge, { tertiary: true, text: 'Tertiary', mr: 2 }),
        React.createElement(_1.Badge, { bg: 'purple', color: 'green', text: 'Custom' })));
});
var templateObject_1;
