"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var bgImage = require("./assets/bg.png");
var Readme = require("./README/Banner.md");
react_1.storiesOf('Core/Banner', module)
    .addDecorator(with_readme_1.default(Readme))
    .add('BackgoundImage', function () {
    return (React.createElement(_1.Banner, { color: 'white', backgroundImage: bgImage },
        React.createElement("h1", null, "Resin.io"),
        React.createElement("p", null, "Resin.io brings the benefits of Linux containers to the IoT. Develop iteratively, deploy safely, and manage at scale.")));
});
