"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n  width: 350px;\n"], ["\n  margin: 30px;\n  width: 350px;\n"])));
var rows = [
    React.createElement("div", null, "Lorem Ipsum dolor si amet"),
    React.createElement(_1.Link, { href: 'www.resin.io' }, "Link"),
    React.createElement(_1.TextWithCopy, { showCopyButton: 'always', copy: 'This value has been copied to your clipboard!' }, "Row with Copy component"),
    React.createElement(_1.Flex, { justify: 'space-between' },
        React.createElement("div", null, "Row with"),
        React.createElement("div", null, "Flex")),
    React.createElement("div", null, "Lorem Ipsum dolor si amet")
];
react_1.storiesOf('Core/Card', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addWithInfo('Standard', function () {
    return (React.createElement(_1.Card, null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque euismod risus at gravida. Pellentesque a nunc semper, ultrices lacus nec, mattis mauris"));
})
    .addWithInfo('With Header', function () {
    return (React.createElement(React.Fragment, null,
        React.createElement(_1.Card, { title: 'Card with Button', cta: React.createElement(_1.Button, { plaintext: true, primary: true, onClick: function () { return window.alert('Action with Button'); } }, "Update") }, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque euismod risus at gravida. Pellentesque a nunc semper, ultrices lacus nec, mattis mauris"),
        React.createElement(_1.Card, { mt: 3, title: 'Card with Link', cta: React.createElement(_1.Link, { href: 'https://resin.io' }, "Link") }, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque euismod risus at gravida. Pellentesque a nunc semper, ultrices lacus nec, mattis mauris")));
})
    .addWithInfo('With rows', function () {
    return (React.createElement(_1.Card, { title: 'Title', rows: rows, cta: React.createElement(_1.Link, { href: 'https://resin.io' }, "Link") }));
})
    .addWithInfo('Title', function () {
    return (React.createElement(_1.Card, { title: 'Title', minHeight: '300px', cta: React.createElement(_1.Link, { href: 'https://resin.io' }, "Link") }, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque euismod risus at gravida. Pellentesque a nunc semper, ultrices lacus nec, mattis mauris"));
});
var templateObject_1;
