"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Readme = require("./README/Search.md");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n  width: 500px;\n"], ["\n  margin: 30px;\n  width: 500px;\n"])));
var DarkBackground = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  background: rgb(52, 52, 52);\n"], ["\n  background: rgb(52, 52, 52);\n"])));
react_1.storiesOf('Core/Search', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addWithInfo('Standard', function () {
    return React.createElement(_1.Search, null);
})
    .addWithInfo('Disabled', function () {
    return React.createElement(_1.Search, { disabled: true });
})
    .addWithInfo('Dark', function () {
    return (React.createElement(DarkBackground, null,
        React.createElement(_1.Search, { dark: true })));
})
    .addWithInfo('Placeholder', function () {
    return React.createElement(_1.Search, { dark: true, placeholder: 'Placeholder Text' });
});
var templateObject_1, templateObject_2;
