"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Readme = require("./README/Select.md");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('Core/Select', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addDecorator(with_readme_1.default(Readme))
    .add('Standard', function () {
    return (React.createElement(_1.Select, null,
        React.createElement("option", { value: 1 }, "Option 1"),
        React.createElement("option", { value: 2 }, "Option 2"),
        React.createElement("option", { value: 3 }, "Option 3")));
})
    .add('Emphasized', function () {
    return (React.createElement(_1.Select, { emphasized: true },
        React.createElement("option", { value: 1 }, "Option 1"),
        React.createElement("option", { value: 2 }, "Option 2"),
        React.createElement("option", { value: 3 }, "Option 3")));
})
    .add('Disabled', function () {
    return (React.createElement(_1.Select, { disabled: true },
        React.createElement("option", { value: 1 }, "Option 1"),
        React.createElement("option", { value: 2 }, "Option 2"),
        React.createElement("option", { value: 3 }, "Option 3")));
});
var templateObject_1;
