"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../../");
var Markdown_1 = require("../../extra/Markdown");
var Readme = require("../README/Markdown.md");
var source = "\n## Markdown\nA simple component for rendering *GitHub flavored markdown*.\n";
react_1.storiesOf('Extra/Markdown', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(function (story) { return React.createElement(_1.Box, { p: 3 }, story()); })
    .add('Standard', function () {
    return React.createElement(Markdown_1.Markdown, null, source);
});
